petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoDefaultConvergenceTest

Determines whether the solver should continue iterating or terminate.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultConvergenceTest(Tao tao,void *dummy)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| dummy | - unused dummy context

### Output Parameter

reason -for terminating

### Notes

This routine checks the residual in the optimality conditions, the relative residual in the optimity conditions, the number of function evaluations, and the function value to test convergence. Some solvers may use different convergence routines.

### See Also

TaoSetTolerances(),TaoGetConvergedReason(),TaoSetConvergedReason()

### Level

developer

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages